kvirc (4:5.2.10+git-7643-e6317d455-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: e6317d4552dd84c2551bbf63b08e55205e8c9f68
  * Date: 1766400689
  * git changelog:
  *  e6317d455 - Add a spellchecker backend based on windows >=8
    integrated spellchecker (#2743)
  *  0628a6a40 - Windows builds: add libffi, too (#2742)
  *  d16796241 - Winedows build: add libgobject, needed by libenchant
    (#2741)
  *  5fe88017e - Add .cache to ignore
  *  292d260a9 - Fix windows build - mingw-w64-x86_64-enchant-2.8.14-1
    renamed the dll to libenchant-2-2.dll (#2738)
  *  da5185640 - Release 5.2.10 (#2737)
  *  7d431d39b - Translation updates (#2735)
  *  4922f79f9 - Add missing description for libera.chat modes (#2734)
  *  48d1f8326 - Topic widget: make the read-only label as similar as
    possible to the editable input editor (#2733)
  *  7c264a177 - Update macOS runner version to macos-14
  *  b85b55ce5 - Options dialog: when searching don't force text to be
    black, on dark themes it's unreadable (#2732)
  *  4731ec54a - Fix geometry sanity check to permit startup on
    secondary monitors (#2731)
  *  38b300837 - Revert Use floating point widths in KviIrcView: fixes
    overlapping texts (#2730)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 27 Dec 2025 13:27:36 +0000

kvirc (4:5.2.8+git-7630-79b6e8fbe-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 79b6e8fbe5835c9e8767d67c989abdfe51abb350
  * Date: 1762793500
  * git changelog:
  *  79b6e8fbe - Painter object fixes; fix #2494 (#2728)
  *  67e62d597 - Grow the receive buffer from 1k to 16k to accomodate
    max ssl packet size; fix #2691 (#2727)
  *  148ad10ea - SSL: ignore SIGPIPE in SSL_connect(); fix #2701 (#2726)
  *  9a725a299 - Support cap-notify; fix #2724 (#2725)
  *  76430fe6a - Fix the Join KVIrc channel button if the Libera.chat
    network is not defined. Partially fixes #2709 (#2723)
  *  754d15930 - Add BRASnet IRC network. Fix #2721 (#2722)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 22 Nov 2025 15:34:35 +0000

kvirc (4:5.2.8+git-7624-7fa7159ec-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 7fa7159ecb6f75c0b1464b8f04bb0e2a66bdb0d2
  * Date: 1760173202
  * git changelog:
  *  7fa7159ec - CI: update to Qt 6.10, fix missing NSIS in Windows-2025
    CI image (#2716)
  *  b4e0ba463 - Fix DBUS notifier arguments (#2715)
  *  ee4851ef8 - KDE notifications: don't always set notifications as
    persistent. (#2719)
  *  71ec9705f - Fix error handling of QSslSocket (#2718)
  *  627d518ad - FileTransferWindow: use current theme palette to draw
    items; (#2717)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 30 Oct 2025 19:09:29 +0000

kvirc (4:5.2.6+git-7619-ba18690ab-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: ba18690abb4f5ce77bb10164ee0835cc150f4a2a
  * Date: 1753887811
  * git changelog:
  *  ba18690ab - version 5.2.8
  *  ccc6da55e - CI: Attempt a different workaround for macOS being
    macOS (#2708)
  *  9eefb776d - Shortcuts: use explicit key sequence for tab switching
    (#2707)
  *  735c673d8 - Adapt to Qt 6.9 deprecations (#2706)
  *  5882316f4 - KviControlCodes: fix compilation with Qt >= 6.9 (#2705)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 03 Aug 2025 07:59:54 +0000

kvirc (4:5.2.6+git-7614-6f23368f1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 6f23368f138c84815465e76c478cf918f32f9b7d
  * Date: 1742204250
  * git changelog:
  *  6f23368f1 - Support sending authorization ID in SASL EXTERNAL
    (#2700)
  *  6710797e2 - Fix window activation on trayicon click under KDE
    (#2696)
  *  e685c9613 - Fix github action (#2697)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 25 Mar 2025 19:19:54 +0000

kvirc (4:5.2.6+git-7611-ca7cb5a04-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: ca7cb5a04aae523dbf4d2b7770b0440d5cc3b7aa
  * Date: 1735896154
  * git changelog:
  *  ca7cb5a04 - Adding Swedish translation (#2695)
  *  dae221afb - Added IRCLuxe network (#2694)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 10 Jan 2025 20:34:38 +0000

kvirc (4:5.2.6+git-7609-afed1336e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: afed1336ec725cfb86eba4915ae88db7fef80458
  * Date: 1732053465
  * git changelog:
  *  afed1336e - KviShortcut: add new ctor to support
    QKeySequence::StandardKey with more than one QKeySequence (#2689)
  *  5fa6b7584 - Always consider platform supports compositing. Fix
    #2686 (#2688)
  *  a344dbd03 - Fix cmake rules related to CMP0175 (#2687)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 30 Nov 2024 19:43:07 +0000

kvirc (4:5.2.6+git-7606-51f3abb83-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 51f3abb83d6572f83f1721de340f28d09dd02c37
  * Date: 1728660805
  * git changelog:
  *  51f3abb83 - Mention sound changes (#2684)
  *  0e01bc6b3 - Version 5.2.6 (#2683)
  *  6e7d7b536 - Tag the build artifacts for win7/qt5 to discriminate
    them on nightly builds (#2681)
  *  bdffa6590 - Translation updates (#2682)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 29 Oct 2024 18:07:43 +0000

kvirc (4:5.2.4+git-7602-6f6dde446-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 6f6dde4466208a6dbf64267ec0851e476077e55a
  * Date: 1727781156
  * git changelog:
  *  6f6dde446 - windows ci: add gettext[tools] to get msgfmt (#2680)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 06 Oct 2024 19:55:49 +0000

kvirc (4:5.2.4+git-7601-7e87d9ac7-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 7e87d9ac7a885fe2a4a04cd46f25e9d81e6439ec
  * Date: 1725960124
  * git changelog:
  *  7e87d9ac7 - update windows versions and target windows 10 for Qt6
    (#2677)
  *  5f64aac71 - Fix crash on empty realname; fix #2673 (#2674)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 14 Sep 2024 13:01:06 +0000

kvirc (4:5.2.4+git-7599-1a1db4926-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 1a1db4926d490f81f79ae42b6cf4b850afbaf7df
  * Date: 1722601073
  * git changelog:
  *  1a1db4926 - Misc fixes to sound module related to autodetect
    (#2669)
  *  cf5a03aa6 - Add support for Monospace control code (ASCII 0x11). By
    now just ignore it. (#2672)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 11 Aug 2024 14:16:26 +0000

kvirc (4:5.2.4+git-7597-13a6fc319-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 13a6fc31983763aad65a3da4247776b046be8b78
  * Date: 1722001062
  * git changelog:
  *  13a6fc319 - Win uninstaller: correctly remove the installed app
    entry from registry on 64bit installs (#2670)
  *  aee31bf6a - Work around macOS build failures in CI (#2671)
  *  d169ba878 - Revert part of #2661 to fix the mainwindow icon (#2665)
  *  03a8df165 - Add a comment about #2117
  *  96c3a4b70 - Remove GTK Style flag; fix #2117. Default to Fusion
    theme on Windows (#2664)
  *  f20059243 - Add an option to let the user choose the qt style used
    by the app (#2663)
  *  e7f1affa1 - Force app_id to be set in more places (#2661)
  *  3d794fb41 - update azzurra.org -> azzurra.chat (#2651)
  *  23571493a - Never cleanup (unload) the spellchecker module since
    reloading it could lead to a crash; fix #2645 (#2649)
  *  cf26a2065 - Try to get a windows7 compatible build with Qt5 +
    vs2019 (#2650)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 27 Jul 2024 14:18:21 +0000

kvirc (4:5.2.4+git-7587-04f93acf5-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 04f93acf5223c926d5f139bbd0bb0dbadfb7d528
  * Date: 1715537458
  * git changelog:
  *  04f93acf5 - Github CI: switch to older macos 13 (still supports
    intel macs) (#2644)
  *  0bb27332d - Version 5.2.4 (#2642)
  *  600b8c2be - Remove rfc (#2641)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 25 May 2024 19:18:25 +0000

kvirc (4:5.2.0+git-7584-200e7bcec-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 200e7bcec7c8fa9ebd96d59bb526c4617f527f45
  * Date: 1715243176
  * git changelog:
  *  200e7bcec - Include debian patches (#2639)
  *  f9266bcb5 - Spellchecker: migrate to enchant++ to avoid use of
    private API in enchant-provider.h (#2636)
  *  5d7d5ffa6 - Set portable when it is needed (#2638)
  *  2dc7dfe1e - Add cmake option WANT_PERL_DOCS to disable doc
    generation.  (#2635)
  *  6b25eda9c - Add an option to disable vertical margin between lines;
    fix #2464 (#2633)
  *  c2ae7a4d2 - Make D-Bus adaptor actually useful and use it as an IPC
    backend (#2630)
  *  4f0e6a55a - port dcc video to qt6 (#2628)
  *  993d8de54 - Strip leading spaces on command; Fix #2626 (#2627)
  *  3ae641ae2 - Numerical 301: respect the value of
    KviOption_boolWhoisRepliesToActiveWindow even if a query exists
    (same behavior of all the other whois reply handlers) (#2613)
  *  d508022bd - Update README.md
  *  81489fe09 - Added french network zeolia (#2625)
  *  cf5cdd603 - Avoid possible infinite recursion; fix #2505 (#2624)
  *  e68e34095 - More qt6 porting (#2622)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 09 May 2024 17:24:20 +0000

kvirc (4:5.2.0+git-7571-8c8adf27c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 8c8adf27ca2a8ffb4579aab55868e1b54d457df3
  * Date: 1711011470
  * git changelog:
  *  8c8adf27c - Fix Wayland appId (#2621)
  *  c0a899866 - NSIS: make the installer wait for the uninstall to
    finish before proceeding; fix #2546 (#2619)
  *  edd04706f - Mac CI: ignore brew warnings caused by multiple python
    installs that makes the run error out early (#2620)
  *  b675a2eaf - Fix crash on undo; fix #2617 (#2618)
  *  5ddf504c5 - Fix linux CI badge
  *  16ced6886 - Version 5.2.2 (#2614)
  *  27f96bbae - Switching the mac CI to qt6  (#2612)
  *  dcba7a1e1 - Fix 2609; while we're at it, make the contextual help
    work again (#2610)
  *  9e9049626 - Switch windows CI builds to Github Actions and Qt6
    (#2606)
  *  6b57a7bef - Use separate caches for CI linux qt5 and qt6 builds
    (#2608)
  *  f5b1a71ba - Use target_compile_features to select C++ standard
    (#2607)
  *  598751f96 - Add a qt6 linux CI build (#2605)
  *  6b57f7f31 - Check for QtMultimedia before using QSound; partially
    fix #2166 (#2604)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 21 Mar 2024 20:05:31 +0000

kvirc (4:5.2.0+git-7558-9b8fa92ef-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 9b8fa92ef5cceccfbb463ccd18cab89d60d5d836
  * Date: 1707665782
  * git changelog:
  *  9b8fa92ef - Replace deprecated define. Fix #2601 (#2603)
  *  5cbbeabcf - Add support for sanitizers at compile time (and fix
    some issues) (#2599)
  *  b962ce4b7 - Fix #2597: moc may require the full KviMaskEntry
    declaration in the header file (#2598)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 12 Feb 2024 16:41:26 +0000

kvirc (4:5.0.1+git-7555-a301aa499-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: a301aa4998c4f0040d093cd2950b7b2f4ec4dcdc
  * Date: 1705871257
  * git changelog:
  *  a301aa499 - Fix ability to select Qt5 vs Qt6
  *  fa7e7f798 - Workaround qt bug on QRegularExpression;  Fix #2593
    (#2594)
  *  0a2801101 - Fix build with Qt5 and WANT_DCC_VIDEO (#2592)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 26 Jan 2024 19:42:19 +0000

kvirc (4:5.0.1+git-7552-496ee9c4c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 496ee9c4cd0187868ff44af9380165055098e7cd
  * Date: 1705226851
  * git changelog:
  *  496ee9c4c - Update version to 5.2.0, update translations (#2590)
  *  9b21b0f67 - Fix nickserv identification (fix wildcard regexp on
    strings containing a slash) (#2589)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 14 Jan 2024 11:02:17 +0000

kvirc (4:5.0.1+git-7550-006058162-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 00605816225cd11e7663501b71fd8b4af43ddf02
  * Date: 1703843114
  * git changelog:
  *  006058162 - misc updates: (#2587)
  *  d1b9c805c - Update version to 5.1.3 (aka 5.2 beta 3) adopt new
    candidate release name Quasar (#2584)
  *  2c592667f - Activation support for KDE (KF6) notifications (#2586)
  *  1d9c0b5e0 - Fix build with KDE Frameworks 6 (#2585)
  *  158f3cc6b - Remove raw event when it has no handlers. fix #2427
    (#2583)
  *  c35562a03 - Tray icon fixes (#2581)
  *  4d2b1b0c1 - Disable accellerators before freeing them (#2582)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 04 Jan 2024 17:00:57 +0000

kvirc (4:5.0.1+git-7543-ac4c2db08-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: ac4c2db0879f79c90d76f35969ae75f0d2b75c38
  * Date: 1702074546
  * git changelog:
  *  ac4c2db08 - Fix regression in some shortcuts introduced in
    cba0ebedf3f0cc4da6f8729dde10282b23eb18e6 (#2579)
  *  ee642156d - Fix crash bug on avatar handling with specific
    realnames (#2578)
  *  30fc8596f - Git version detection: ensure correct tag is returned
    if present
  *  2dda5d0f8 - Update version to 5.1.1 and extract translations
    (#2577)
  *  4b3b0963f - SSL updates (#2575)
  *  519086882 - Attempt at fixinf font width size by enable full font
    hinting, aka forcing glyphs to be aligned to pixels in order to
    disable subpixel positioning (source: https://www.mail-
    archive.com/development@qt-project.org/msg43330.html) (#2573)
  *  9babfaff1 - KviCString::getToken(): add option to skip empty
    elements (default off) (#2574)
  *  7916bf0e2 - Removed unused travis files and 10-years-not-updated
    changelog. (#2572)
  *  de5b9e20d - 2569: fix mouse selection of mixed text: normal and
    surrogate pairs
  *  f8b64fbc3 - Remove QWebEngine usage in core. Rewrite web package
    manager (#2570)
  *  90d1f02e2 - Ircview: Fix out of bound memory read when a line ends
    with a tab; fix #2377
  *  bee611a96 - InputEditor: consider surrogate pairs when moving
    cursor, deleting a char or editing selection
  *  f0abc4920 - Ircview: consider surrogate pairs when calculating
    block widths, wraps, and selection blocks

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 09 Dec 2023 08:20:56 +0000

kvirc (4:5.0.1+git-7530-00074d1c2-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 00074d1c2bbd4edbd78a8b5bbf6e84a99b874da9
  * Date: 1700731055
  * git changelog:
  *  00074d1c2 - Settings: include styleName in font (#2568)
  *  a0f26877b - Avoid sending a spurious null byte to the server at the
    end of raw commands (#2565)
  *  85e5878d5 - Do not leak each created
    KviInputEditorSpellCheckerBlock (#2563)
  *  131489589 - Fix KviTopicWidget label shifted down and clipped
    (#2562)
  *  75af3ecba - Fix text[idx] out of bounds assertion in
    KviTopicWidget::paintColoredText (#2561)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 25 Nov 2023 09:20:48 +0000

kvirc (4:5.0.1+git-7525-b53073ba1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: b53073ba12b65816c6e4684668ef40593e43a9dd
  * Date: 1698134103
  * git changelog:
  *  b53073ba1 - Make macos dmg nightlies more orderable (#2560)
  *  7883d2159 - Almost there
  *  7879110b5 - Forgot to write file
  *  cb1baab6b - Pass user through ssh config
  *  f8009fa5e - Yet another time
  *  89704880d - Next attempt
  *  ccff77228 - Try to upload to sftp manually...
  *  b7c766851 - Switch to yet another sftp upload action
  *  9d9fdd248 - Don't delete from sftp
  *  92617286a - Use another action to upload sftp
  *  3ea2d898b - Fix yaml syntax
  *  dab7ab237 - Try to upload nightly .dmg
  *  8bf47fdd4 - Remove references to kvirc.de and kvirc.ru (#2559)
  *  4a51c0e82 - Console window: fix server selection from combobox
  *  afbf70ed3 - Qt6: fix font rendering on help window
  *  9052018b5 - Migrate almost all QMessagebox to qt6-friendly version.
  *  ff61da69a - Address feedback for XmlFunctions.cpp
  *  2d1bc24d6 - Changes that will need to be reworked. QFont changed
    the weight scale in Qt6, in order to use them we'd need to fix all
    configuration files in all themes. QStreamConverter only supports
    Utf8/16/32 and Latin1 before Qt6.5. Stick to qt5compat's QTextCodec
    by now
  *  b62b83e77 - Misc Qt6 port for slightly changed class names and
    method signatures
  *  cba0ebedf - Make shortcuts compatible with qt6; remove unused
    KviShortcut constructor since it creates ambiguity with the previous
  *  c8c0a92fd - Remove unused calls to viewOptions()
  *  18003d224 - Use qMin, qMax, .. instead of std equivalents as they
    better deal with qt integer types
  *  d88521468 - Drop QApplication::globalStrut() usage (unavailable on
    qt6)
  *  29e92a939 - Port from QRegExp (unavailable on qt6) to KviRegExp,
    based on QRegularExpression Method str_kvs_fnc_split() had to be
    replaced with the original version, since the newer one relied on
    Qt5's QStringRef
  *  2e402d15b - Qt6 is stricter when casting numericals and chars. Add
    an explicit cast/conversion to better digest them
  *  06cdd04f1 - Port QDateTime::setTime_t() to setSecsSinceEpoch()
  *  0ad5e82cc - Port QDateTime::toTime_t() to toSecsSinceEpoch(); it's
    a quint64, but it should cast to time_t safely until year 2106
  *  9cb9e4c22 - Qt6: required Qt5 compatibility module; needed by
    QRegExp
  *  0c9088c1d - Mass rename of margin -> contentsMargins
  *  843e3c142 - Qt6: QStringList is a typedef now, avoid forward
    declarations
  *  0d1754ed0 - cmake: add support for qt6
  *  9419f8b75 - Rename COMPILE_WEBKIT_SUPPORT to
    COMPILE_WEBENGINE_SUPPORT
  *  784f9218e - README.md: replace travis badge with github actions

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 28 Oct 2023 19:56:45 +0000

kvirc (4:5.0.1+git-7492-681f0940b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 681f0940b6499d83b35bbfea2695aaedb34726e2
  * Date: 1695132387
  * git changelog:
  *  681f0940b - Replace WtWbKit with QtWebEngine (#2554)
  *  05e13b470 - Port the mediaplayer mpris interface to mpris 2.2; fix
    #1912 (#2552)
  *  4f5d7b44a - Macos: manually create dmg to fix icon position (#2556)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 21 Sep 2023 20:28:50 +0000

kvirc (4:5.0.1+git-7489-de260e54c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: de260e54ca10efebc2a5d5a45cabe72afcfd2f7a
  * Date: 1692009627
  * git changelog:
  *  de260e54c - Spellchecker: on right click menu, check the spelling
    for the word under the mouse instead of the word where the cursor is
    located; fix #1918 (#2551)
  *  4c100d5d1 - add a basic ci build for linux and macos (#2550)
  *  2b021749c - Batch export logs (#2485)
  *  5a1e034e4 - kernel: We should read the default config on startup
    (bis) (#2548)
  *  c1848c3d0 - Add DarkScience to default server list. (#2472)
  *  16de5dd48 - Detect solanum ircd (Libera net) to correctly decode
    user and channel modes (#2547)
  *  1fc6abe81 - Implement the UTF8ONLY IRCv3 specification (#2514)
  *  4a55bd7f7 - translation and minor comment updates - switch from
    transifex/transifex-client to transifex/cli, the current version
    migrated the config properly (unlike earlier versions) and is usable
    - pulled updates from tx, completed korean, updating portuguese and
    spanish - minor comment updates and adding product ids that nobody
    is going to be using
  *  fbb7b3488 - Add a project file to .gitignore
  *  148d8d9e1 - Use floating point widths in KviIrcView: fixes
    overlapping texts
  *  054f3e958 - fix path for kde notifier (#2545)
  *  d356be9a2 - KviSSL: fix deprecations for openssl 3 (#2544)
  *  457606446 - Avoid compilation warning on Python >=3.7 (#2543)
  *  ed38ee977 - [WIP] Fix Appveyor builds (#2542)
  *  28292170d - Port to (and require) Qt 5.15. Drop KDE4 support, fix
    KDE5 (#2541)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 15 Aug 2023 20:05:28 +0000

kvirc (4:5.0.1+git-7474-018ba7bdb-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 018ba7bdb02be2cdee7717923288bc2661b74fc7
  * Date: 1686911814
  * git changelog:
  *  018ba7bdb - Merge branch 'bugfix/script-editor-out-of-range-
    exception'
  *  e52f33500 - editor: Fix crash when editing empty network list
  *  b4405b0c3 - Fix includes, QProcess is used not only without KDE

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 16 Jun 2023 19:39:33 +0000

kvirc (4:5.0.1+git-7471-eb3fdd6b1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: eb3fdd6b1d824f148fd6e582852dcba77fc9a271
  * Date: 1656519901
  * git changelog:
  *  eb3fdd6b1 - QString::null is deprecated (#2526)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 06 Jul 2022 20:00:24 +0000

kvirc (4:5.0.1+git-7469-b3e8a71ad-2) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: b3e8a71ade3e9dd18cef4bb16aac586f77528027
  * Date: 1643733501
  * git changelog:
  *  b3e8a71ad - CMakeLists.txt: Make devdocs and distclean targets
    compatible with Ninja generator (#2439). (#2519)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 01 Feb 2022 20:47:01 +0000

kvirc (4:5.0.1+git-7468-7c5cca2fb-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 7c5cca2fbe57b5a4976e7838c898eeed110049f0
  * Date: 1637922349
  * git changelog:
  *  7c5cca2fb - Fixed up to build on MacOS 11.6 and restore SSL and
    Python support (#2518)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 04 Dec 2021 12:34:58 +0000

kvirc (4:5.0.1+git-7467-654754206-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 654754206a98518a446a31b0cdef124b3996abad
  * Date: 1629935312
  * git changelog:
  *  654754206 - Document the AVATAR negotiation protocol (#2511)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 05 Sep 2021 11:30:56 +0000

kvirc (4:5.0.1+git-7466-18c6261ca-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 18c6261ca75d397e001cad374e9a281e7913820e
  * Date: 1625250225
  * git changelog:
  *  18c6261ca - Update URL to kvirc.net

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 22 Jul 2021 18:03:52 +0300

kvirc (4:5.0.1+git-7465-d86b79f65-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: d86b79f657bb7388d7ec1d3e0d91e7c4221c2394
  * Date: 1625096011
  * git changelog:
  *  d86b79f65 - Fix some typos in Polish translation.
  *  c8a6812fc - Wayland fixes: disable X11 IPC at runtime to avoid
    crash on start (partially fixes #2479, but a proper IPC is still
    missing). Correctly set main window icon
  *  22000b2b2 - Fix #2478: Remove deleted s from owning list
  *  5a586ec65 - Insert missing null terminator

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 02 Jul 2021 19:09:32 +0300

kvirc (4:5.0.1+git-7461-6dc728d2a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 6dc728d2aeae3da55120270729ce9358a1e9537b
  * Date: 1622273552
  * git changelog:
  *  6dc728d2a - Update Desktop Entry file This commit adds well-formed
    values for all keys defined in version 1.5 of the [Freedesktop.org
    Desktop Entry Specification][1], published on 2020-04-27, adding: -
    the ability for KVIrc to be designated by all XDG-compliant Linux
    Desktop Environments (GNOME, KDE et al.) as a (default) handler for
    irc/irc6/ircs protocol URIs within all installed applications, -
    support for the Startup Notification Protocol, - a context menu
    entry in DE graphical application launchers for opening   a new
    session/instance/window of KVIrc when one or more are already in
    use, and - registration of KVIrc as the default handler for the
    'text/kvc' and   'text/kvs' Media (MIME) Type definitions already
    installed by the   several circulating vendor packages for Linux
  *  ff5384443 - Switch default channel from freenode to libera
  *  6d6d54752 - Add Libera.Chat to serverdb
  *  fa2b4a9f9 - Stop using deprecated KWindowSystem::windowInfo()

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 11 Jun 2021 14:52:16 +0300

kvirc (4:5.0.1+git-7457-a0cc6730f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: a0cc6730f670ef5ee1dd7a56cc847ba223a62799
  * Date: 1606743163
  * git changelog:
  *  a0cc6730f - Turn on PrioritizeLastActionTime by default

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 10 Dec 2020 23:31:19 +0300

kvirc (4:5.0.1+git-7456-a811ac98a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: a811ac98ae99da1ca1f6feb0f907a161e193be0a
  * Date: 1606058686
  * git changelog:
  *  a811ac98a - Use https for homepage

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 26 Nov 2020 17:27:04 +0300

kvirc (4:5.0.1+git-7455-20f5ed912-2) unstable; urgency=medium

  * Re-compile

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 30 Oct 2020 19:37:18 +0300

kvirc (4:5.0.1+git-7455-20f5ed912-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 20f5ed91218804a6b607f2882a4599d44fc230cf
  * Date: 1595769895
  * git changelog:
  *  20f5ed912 - Generate PDB files for MSVC instead of any compiler on
    Windows
  *  e68b21c95 - update po files

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 30 Jul 2020 13:50:35 +0300

kvirc (4:5.0.1+git-7453-04d169900-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 04d169900f175e33a6249b9e1a449f1548363696
  * Date: 1594822618
  * git changelog:
  *  04d169900 - KVS quit command aborts delayed reconnect (#2461)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 20 Jul 2020 03:59:07 +0300

kvirc (4:5.0.1+git-7452-e66a5106e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: e66a5106ef55a92e2532c38aa255ac376ba6afe1
  * Date: 1591372356
  * git changelog:
  *  e66a5106e - pull po updates from Transifex among the usual suspects
    (non-string updates) are updates for French, Polish and Korean with
    the latter being 100 % translated; thanks "ks k"!
  *  7f837a786 - Fix build with Qt 5.15+
  *  cf880c9e4 - CI: check file size when uploading nightly
  *  419748e85 - nightly.kvirc.net has moved, update CI
  *  4810f3f49 - appveyor: make cmake arguments more readable
  *  246377354 - Fix windows spell checker, make errors in CI more
    apparent

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 06 Jun 2020 04:43:07 +0300

kvirc (4:5.0.1+git-7446-f56348d99-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: f56348d99b4319e57d3e5415ec2a5c7d1ca84598
  * Date: 1588063350
  * git changelog:
  *  f56348d99 - Update serverdb.kvc

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 11 May 2020 22:51:12 +0300

kvirc (4:5.0.1+git-7445-7072354b5-2) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 7072354b577a8fdb9a2fc2655d9c87e1d78af34c
  * Date: 1587746611
  * git changelog:
  *  7072354b5 - fix spellchecker on windows builds and also update
    english dicts
  *  6a208c9e2 - fixes #2468

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 25 Apr 2020 03:19:43 +0300

kvirc (4:5.0.1+git-7443-fdbb10765-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: fdbb107658ed6625ddf9250c43c937220835af73
  * Date: 1585568419
  * git changelog:
  *  fdbb10765 - pull pos from tx, push pot updates

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 09 Apr 2020 02:47:35 +0300

kvirc (4:5.0.1+git-7442-bdeac0429-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: bdeac04299d63745404cb565354a537b981843e5
  * Date: 1581946217
  * git changelog:
  *  bdeac0429 - Add SciFiCenter IRC Network (#2462)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 23 Feb 2020 00:54:52 +0300

kvirc (4:5.0.1+git-7441-c768bb68b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: c768bb68bcc4fc228199adc1a1174b8a188ad847
  * Date: 1578953295
  * git changelog:
  *  c768bb68b - fixed symbols that slipped into two po files
  *  79dbba426 - Stop unsetting _DEBUG when including Python.h
  *  c72a5ac10 - Appveyor: Maybe reinstall of cygwin will fix cygwin
    issue?
  *  2c881f711 - Replace FindPythonLibs with FindPython3 in CMake

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 18 Jan 2020 10:12:50 +0300

kvirc (4:5.0.1+git-7433-0df9f22f2-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 0df9f22f2f4d013b91d5a8905cbd47c32e8fb9e5
  * Date: 1575289540
  * git changelog:
  *  0df9f22f2 - options/windowList: Add event names to alert level tips
  *  f0ec6c4e5 - Update KviIrcServerParser_literalHandlers.cpp
  *  80e407c77 - Update KviIrcServerParser_literalHandlers.cpp

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 07 Dec 2019 04:37:01 +0300

kvirc (4:5.0.1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 3db2677fe511ec2f2ab986d165f36026f73f4da3
  * Date: 1570901809
  * git changelog:
  *  3db2677fe - bump version to 5.0.1

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 25 Oct 2019 23:00:36 +0300

kvirc (4:5.0.0+git-7429-a614debed-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: a614debed796fda250f6906d4654ee0c9d2c6d1e
  * Date: 1569602568
  * git changelog:
  *  a614debed - Ouch
  *  dc77a084b - osx: compile with openssl
  *  bdf544e5a - perl compilation works

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 28 Sep 2019 12:20:47 +0300

kvirc (4:5.0.0+git-7426-e065493ac-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: e065493ac751068fcce3b495ce3f491584df5b1b
  * Date: 1567941865
  * git changelog:
  *  e065493ac - Rework the server list GUI filter. Fixes #2438.
  *  2638e9771 - kvilib: Fix format specifier
  *  86747b088 - add export for all logs (channel, etc.)
  *  74cf10b8a - Change HTTP redirect limit to 20.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 12 Sep 2019 00:52:40 +0300

kvirc (4:5.0.0+git-7422-2fe1a3bca-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 2fe1a3bcac42349967e27b3f7098c25f34efca1d
  * Date: 1561695402
  * git changelog:
  *  2fe1a3bca - DCC Module: Fix virtualness of member functions
  *  3f0172591 - KviSSL: Check SSL_in_init before SSL_shutdown
  *  d8a3ee002 - libkviurl: Use "itemActivated" event instead of
    "itemDoubleClicked"
  *  37d7357c3 - libkviurl: Add "Open" default action to menu
  *  1a47fd00a - libkviurl: Use Qt's native context menu events instead
    of emulation
  *  410017994 - libkviurl: Fix showing configuration dialog after
    closing it with Esc

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 29 Jun 2019 07:42:27 +0300

kvirc (4:5.0.0+git-7416-9b35d44fd-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 9b35d44fd6eb216cf3587d00aeea52103b9111c3
  * Date: 1548077054
  * git changelog:
  *  9b35d44fd - uintUserListMinimumWidth: Reduce minimum due to account
    for certain combinations of font and dpi
  *  9403b352e - KviControlCodes.cpp: Remove %16 when parsing colors
  *  2c9ba2643 - Replace KVI_OPTION_MIRCCOLOR usage with getMircColor
  *  0b1ea8aa9 - KviOptions.h: Add getMircColor
  *  b00d45dfa - Add KviControlCodes::getExtendedColor
  *  cb39c91a4 - KviOptions.h: Shift KVI_COLOR_EXT_USER_* up by 100
  *  30be9006a - KviOptions.h: Define KVI_NUM_MIRCCOLOR_OPTIONS on top
    of KVI_MIRCCOLOR_MAX
  *  dc4d899e7 - Unify KVI_MIRCCOLOR_MAX_FOREGROUND/_BACKGROUND into a
    single constant
  *  290ac558f - update nsis plugin, remove pre-windows-7 version
    detection and add some new ones appveyor part mostly refs #2418 for
    build cache invalidation, update isn't really needed

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 01 Feb 2019 20:28:02 +0300

kvirc (4:5.0.0+git-7407-8a8cb2a00-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 8a8cb2a0044377dda8bef3d9b130e93dca3f957e
  * Date: 1546637264
  * git changelog:
  *  8a8cb2a00 - Add missing override keywords
  *  77f4a2b34 - KviToolBar: Adjust std::array style for Travis + clang
    issue
  *  546b69f40 - Revert "travis: revert clang upgrade and do gcc
    instead"
  *  27e1638f8 - travis: and another one
  *  a4b899088 - travis: fix syntax
  *  bb94db224 - travis: add more keyservers and remove CC setting
  *  823203faa - travis: revert clang upgrade and do gcc instead
  *  83b4e160b - travis: upgrade to a newer clang
  *  fd1afd017 - KviTalIconAndRichTextItemDelegate: Fix missing override
  *  7cc076f3a - Bump CMake requirements to 3.8, which supports C++17
  *  c44eb5e81 - KviMainWindow: Update code
  *  09c5fbdc5 - KviToolBar: Update code
  *  ab729a1f6 - KviTextIconWindow: Update code
  *  6bddd4482 - Add release note to README

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 05 Jan 2019 10:09:30 +0300

kvirc (4:5.0.0-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 6bddd448242c4e3a3ba10c20898ed802e3c8f12e
  * Date: 1546386494
  * git changelog:
  *  a33d619d6 - travis: different key server format
  *  6b20ee0f4 - fix copy pasta
  *  e7a4a6a49 - travis: install rvm keys in a different way

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 02 Jan 2019 11:57:22 +0300

kvirc (4:5.0.0~git-7366-84fbb9458-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 84fbb9458ddb7c0ecf85df2098fe424005648e27
  * Date: 1544706222
  * git changelog:
  *  84fbb9458 - Save configuration files atomically so corruption is
    less likely (#2417)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 21 Dec 2018 17:19:28 +0300

kvirc (4:5.0.0~git-7365-11890eeaa-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 11890eeaa34f322a04171b41dad2953a1a7a7cb6
  * Date: 1544357727
  * git changelog:
  *  11890eeaa - Remove redundant comments from CMakeLists
  *  3e54ac6aa - Update build_detector.pl to improve consistency with
    detector.cpp
  *  f06b4f039 - Cmake: Specify source file encoding for MSVC
  *  4d6b5b7d2 - Change MSVC compiler flags
  *  3689a6d31 - AppVeyor: Remove unused variable, nuget_arch
  *  86e7789d6 - KviTranslator: Fix incorrect signature in override of
    translate.
  *  4dff175cd - Fix compiler warnings in the code.
  *  ac1830891 - Remove the keyword register from the code.
  *  9e7188cf1 - SASL: Add option for aborting connection on SASL
    failure
  *  7e4dccb26 - Do not track Linux kernel version
  *  76e98ea66 - KVS away: Do not require connection for all-networks
    switch

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 10 Dec 2018 09:53:29 +0300

kvirc (4:5.0.0~git-7354-665fc15dd-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 665fc15dde8665e3fdec83b038000952296e63e0
  * Date: 1542904285
  * git changelog:
  *  665fc15dd - SASL: Add support for EXTERNAL method. Closes #2258
  *  958ec9fb7 - Travis: use sftp instead of scp to upload .dmg
  *  32ff5147f - Travis: recreate both SSH keys, and store both
    encrypted variables in .travis.yml
  *  e4591ade4 - Travis: fix keys again
  *  9e9a70ca6 - Travis: oops, wrong key
  *  1bd754937 - Travis: Fix SSH for upload
  *  77fa54b0a - AppVeyor: don't push another copy of CMakeCache.txt
  *  48ddde812 - Travis: try to upload .dmg
  *  c317a58eb - AppVeyor: try to upload .exe
  *  2725220ee - Add anonymous namespace to build_detector.pl too.
  *  0d9c27c1c - Add anonymous namespace around detector.cpp
  *  e4a34cb9b - Apply all modernize-* fixes from clang-tidy except for
    modernize-use-auto
  *  3f98a2494 - Use C++14
  *  17563d6d7 - Travis: use GCC 6
  *  78a879686 - AppVeyor: Remove Qt5.9 workaround for 32-bit builds
    since AppVeyor now uses Qt 5.9.7
  *  95b08e0f5 - KviIrcView: Fix an issue with copying short text across
    chunks
  *  035125487 - Add a comment
  *  d9555e14e - AppVeyor: Workaround for Qt5.9 bug

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 23 Nov 2018 20:12:24 +0300

kvirc (4:5.0.0~git-7336-e73d79f75-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: e73d79f75c852f71abf87fc1a2d6ef956fc05861
  * Date: 1540425116
  * git changelog:
  *  e73d79f75 - library name of the enchant hunspell module changed,
    fixes #2404

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 26 Oct 2018 22:44:25 +0300

kvirc (4:5.0.0~git-7335-c7eea2406-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: c7eea2406bf70a77a127b6bf472f422f2dbd9de9
  * Date: 1539458812
  * git changelog:
  *  c7eea2406 - Add EsperNet

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 14 Oct 2018 08:34:56 +0300

kvirc (4:5.0.0~git-7334-5183a5572-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 5183a5572e56d66bd72b4a1bdb6f2fa4ec5f717f
  * Date: 1536276973
  * git changelog:
  *  5183a5572 - appveyor and translation updates - pull pos from
    transifex - amend d40dae7dc624deeba40cc7baa27f255be885fd86 since
    glibconfig.h isn't in the include path
  *  4fc417a7f - more enchant windows things and perl updates - of
    course i missed to amend the include location, fixed now - update to
    ExtUtils::ParseXS 3.39 (no changes) - update to Devel::PPPort 3.42
    and use the correct typemap
  *  115c5721f - more enchant-2 changes for the windows build
  *  d40dae7dc - try to fix the windows build - remove glib workaround,
    this hasn't done anything for ages. - drycoded attempt to fix
    enchant - update dicts
  *  1c3bbfcc4 - KviHttpRequest: Fix potential null pointer dereference
  *  c02e605eb -  KviHttp: support relative redirects; fix #2398
    (#2399)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 15 Sep 2018 08:45:37 +0300

kvirc (4:5.0.0~git-7328-abc7a305d-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: abc7a305d16d5ff939959164cff856af8f6d6ca1
  * Date: 1534680772
  * git changelog:
  *  abc7a305d - List object updates; fix #2384

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 01 Sep 2018 15:43:45 +0300

kvirc (4:5.0.0~git-7327-8db61929f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 8db61929facd9bfed245752c538b51d0242c3e2e
  * Date: 1528183259
  * git changelog:
  *  8db61929f - AppVeyor: Grab openssl from vcpkg and fix vcpkg remove
    option
  *  85ef2059c - Fix double "built on:" in output.
  *  66ff3b929 - Fix stray carriage returns in improperly formatted
    output.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 08 Jun 2018 08:55:06 +0300

kvirc (4:5.0.0~git-7324-1e9d73c06-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 1e9d73c06307fb3cc4de95877f0c7e6ea4ad1b6d
  * Date: 1527335129
  * git changelog:
  *  1e9d73c06 - Remove modality of OptionsWidget_servers. Fixes #2341
    and #2386
  *  5c8092248 - Remove usages of Q_FOREACH. Fixes #2385
  *  71ff5f547 - AboutDialog: Fix line break for non-SSL builds
  *  16b0464a3 - AboutDialog: OpenSSL infos fix
  *  e78ea8b6b - AboutDialog: OpenSSL infos
  *  ba07eae61 - change vc_redist file names

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 26 May 2018 23:02:11 +0300

kvirc (4:5.0.0~git-7318-2ecd28f53-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 2ecd28f539a308a5dc2327e33ab15055c96a5ab6
  * Date: 1524743598
  * git changelog:
  *  2ecd28f53 - LF and UTF8 all the things (#2378)
  *  bebefa0c2 - Fix undefined behavior involving lifetime of
    temporaries
  *  2150de449 - Remove unused/useless code
  *  d3a07c0d8 - KviKvsParser: Fix potential memory leak
  *  47140bffc - Remove dead and useless code
  *  4c6e91202 - KviKvsObject: Fix checking validity of returned
    QMetaProperty
  *  d8a366b7a - DccChatWindow: Fix error handling
  *  45de69c1d - convert to LF so it leaves me alone
  *  8944d335c - update debian rules
  *  9298ee49c - add .gitattributes
  *  a2ebd4622 - really really remove mailing list link and try to fix
    debian build
  *  ef32ddf99 - actually remove mailinglist link
  *  af1f7ae1a - update version to 5.0.0 (#2373)
  *  690dd6d2b - remove russian website and mailing list links from help
    menu (#2374)
  *  76a1754ca - add clang-format setting to avoid starting commas
    (#2375)
  *  ef514f725 - Fix #2262 (#2266)
  *  c0da65170 - change dev build installer name (#2371)
  *  82be064fd - Fix Coverity complaints about uninitialized member
    variables
  *  6fb0debf2 - remove qt5_use_modules for Qt 5.11 cmake modules for Qt
    5.11 don't have that function anymore, so it needs to be replaced
    with the standard way of library linkage. downside is that the
    module listing in the Status page isn't looking too fancy anymore.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 27 Apr 2018 20:36:52 +0300

kvirc (4:4.9.3~git-7299-c44e6e613-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: c44e6e6130103ec99964f629681328e4e4f7f644
  * Date: 1523459248
  * git changelog:
  *  c44e6e613 - revert issue template to plain text
  *  068949475 - fix issue template link
  *  9cede0a0a - readme changes
  *  639427b59 - irc-hispano no longer exists
  *  4f0c52b9e - serverdb.kvc: Applied general cleanup and network fixes
  *  bbe89482c - Support 64-bit X509 certificate serial numbers (#2363)
  *  97121890e - use the StdUtils NSIS plugin (#2369)
  *  d8854cf51 - fix doc folder cleanup fallout (#2370)
  *  00935f130 - Docs folder cleanup (#2366)
  *  bb9a85e41 - PPA: fix script
  *  5461d7b6c - KviAntiSpam: Remove undefined behavior
  *  54a8a36e2 - update dicts
  *  8d130b34c - push and pull po{t}s, unbreak a string in german
  *  9544cb6f7 - don't use the NSIS plugin
  *  46ebdbdd4 - remove unused CheckUserInstallRights function
  *  1e69d14da - Remove Winamp installer option
  *  9a91d3f41 - remove autostart related functions
  *  2dbe3558f - Fixed the finish page so it will launch KVIrc as the
    user that ran the install before UAC privilege escalation.
  *  182b6a1d0 - AliasEditorWindow: Add "Export All to ..." button for
    more consistent UI
  *  1ed020290 - AppVeyor: grab gettext from vcpkg and clean up a bit
    (#2364)
  *  b4fc37c0f - KviInputEditor: Fix home key not clearing selection in
    certain situations
  *  98f9af6a1 - doc: Allow to override build date
  *  dd4b14ee0 - Use cmake TIMESTAMP
  *  e6915e5ed - Appveyor: Updated OpenSSL version to 1.0.2o
  *  1885eb6ea - PPA update: revert description

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 13 Apr 2018 18:36:43 +0300

kvirc (4:4.9.3~git-7273-g8a6e45abc-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 8a6e45abc582cd38cef6039042fedefa3de32e79
  * Date: 1522372136
  * git changelog:
  *  8a6e45abc - KviChannelWindow: Fix bug in modes with parameters not
    being updated properly
  *  9f0906858 - AppVeyor: get zlib from vcpkg
  *  7e8ba1b11 - PPA update: update version
  *  d54498820 - PPA update: lintian fix

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 31 Mar 2018 22:22:51 +0300

kvirc (4:4.9.3~git-7269-g7689d8b21-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 7689d8b2100f3077b647d8de6915473e511993ed
  * Date: 1520200190
  * git changelog:
  *  7689d8b21 - Revert "Remove gzipped logs as an option"

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 16 Mar 2018 11:11:08 +0300

kvirc (4:4.9.3~git-7268-gaa64034f9-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: aa64034f955f6b8221e8e844363009dfba738553
  * Date: 1520026828
  * git changelog:
  *  aa64034f9 - Remove gzipped logs as an option
  *  a5e2ea29c - Lag Meter: Change units to the more standard
    millisecond. Fixes #1577
  *  4d87c75b4 - CMakeLists: Detect and use libenchant 2.x
  *  9d4c5a651 - spellchecker: Stop trying to load invalid dictionaries.
  *  53ee86788 - Add option to prioritize nick tab completion by last
    action time. Implements #2216
  *  1f2f28f90 - KviChannelWindow: Fix encrypted own CTCP ACTION
    messages being sent to the wrong split view.
  *  235542674 - Adjust defaults for avatar settings. Fixes #2340
  *  eb0d1f79e - I/O themes: Fix highlights not being logged in I/O
    themes

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 03 Mar 2018 16:16:10 +0300

kvirc (4:4.9.3~git-7260-g166f0f553-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 166f0f5534f90b14abd5b1fde1905ce926e149cc
  * Date: 1518631003
  * git changelog:
  *  166f0f553 - PPA update:
  *  4f3cd78f2 - Update Freenode server locations for "asimov", "adams"
    & "pratchett". Replace dead "zelazny" with "niven" (London). (#2348)
  *  bed7de9c1 - QRegExp: Enable greedy quantifiers in regex pattern
    matching.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 18 Feb 2018 12:29:20 +0300

kvirc (4:4.9.2~git-7257-g7c3520fef-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 7c3520fef7c59844c2d68344ec2e501bbdb2010a
  * Date: 1517307905
  * git changelog:
  *  7c3520fef - orwell.freenode.net is in Amsterdam, not Helsinki
    (#2347)
  *  16ac0a1c8 - KviModeWidget: Remove commented out code
  *  b7224d1f4 - KviModeWidget: Fix two bugs and refactor class
  *  8458d1b7a - fix appveyor build
  *  b819876aa - KviWindowStack: Fix bug when attempting to focus
    undocked windows Fixes #2109
  *  0a54a61fe - KviNotifyList: Fix bug in notify property parsing with
    multiple consecutive spaces

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 04 Feb 2018 00:30:10 +0300

kvirc (4:4.9.2~git-7251-gf9e6b4de3-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: f9e6b4de3f1edd8e688a913e1b05ccf71afd12fa
  * Date: 1516006358
  * git changelog:
  *  f9e6b4de3 - KviIrcContext: Re-add missing `return`
  *  9a5477560 - KviOptions: Set the default bantype to *!*@host.name
    (#2343)
  *  26c8981e8 - KviIconManager: Use double-braces for array
    initialization
  *  f784e7a7f - General code cleanup for kernel code
  *  42d65780d - IrcConnection: Use initiailizer lists and member
    initializers
  *  e4a0332b9 - fix typo in libkvidcc.cpp
  *  e2a7b9ec1 - Move Class Window List option to its proper location

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 18 Jan 2018 21:12:42 +0300

kvirc (4:4.9.2~git-7244-gce3c9017b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: ce3c9017b3c0b9e795744139c496fcef8e2b76ac
  * Date: 1514557979
  * git changelog:
  *  ce3c9017b - Revert "Add an option to order nick completion by last
    action time. Resolves #2216."
  *  6ef18f91d - Revert "Add uintNickCompletionOrder to the options
    widget."
  *  48b433181 - Revert "Allow adding tooltips to other widgets in the
    options dialogs."
  *  f82482448 - Revert "Address @IceN9ne's review."
  *  c84f8c42d - Correct README
  *  0b83828f2 - Fix makedist script. Add a super-minimal readme entry.
  *  70e487854 - Fix about text
  *  848868048 - Bump version number to 4.9.3 for release
  *  f042a155e - Fix about text
  *  d2d559c71 - Fix #2240
  *  bb3cad37a - Remove --immediate switch from delete
  *  e9bd8809c - Restore Juanjo's name
  *  e69587aee - Fix macOS Travis build
  *  ca59d4d98 - Fix more memory leaks
  *  cb8897ae4 - Fix some memory leaks
  *  c2d7675dc - Fix uninitialized variable access
  *  f743f315a - Address @IceN9ne's review.
  *  2f723938d - Allow adding tooltips to other widgets in the options
    dialogs.
  *  6a0906274 - Add uintNickCompletionOrder to the options widget.
  *  446bff05a - Add an option to order nick completion by last action
    time. Resolves #2216.
  *  de836715d - Tabs need to stay in a block on their own
  *  e337d6e5c - Better handling of tabs in KviIrcView. Not perfect but
    at least they aren't floating around and messing up with the
    selection. Fixes #1855
  *  63e9e485a - Pull in wodim's fix for #1959
  *  d0ea547a8 - Maybe fix #2320. Needs testing on high DPI monitors.
  *  a575f61e2 - Attempt to work on #2302. Needs testing.
  *  582252f69 - Fix the sound system autodetection (#2278)
  *  b5d9ba9c1 - Workaround to vc_redist #2335 (#2336)
  *  5e6fc725e - Remove the default stylesheet.
  *  8745aa849 - AppVeyor: update Qt to 5.9, upgrade to VS2017
  *  7ad56c988 - Fix #2323 (#2331)
  *  6d28ddb44 - Updated OpenSSL version to 1.0.2n

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 29 Dec 2017 20:00:46 +0300

kvirc (4:4.9.2~git-7213-ged2a15689-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: ed2a156892c5ce9a1ab54c50031ba59a9a34485f
  * Date: 1512986801
  * git changelog:
  *  ed2a15689 - Support OpenSSL 1.1.0 (#2223)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 15 Dec 2017 23:33:14 +0300

kvirc (4:4.9.2~git-7212-g33fcac555-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 33fcac55574a004e4ae793f595af0e20406bc522
  * Date: 1509929924
  * git changelog:
  *  33fcac555 - AppVeyor: Updated OpenSSL version to 1.0.2m
  *  323e498a4 - KviInputEditor: Fix issue with clicking at the end of
    the line causing a selection to be made

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 16 Nov 2017 07:59:15 +0300

kvirc (4:4.9.2~git-7210-g0f76c9b0c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 0f76c9b0c706764c334c1b0fa49842ccaddd8d94
  * Date: 1508643301
  * git changelog:
  *  0f76c9b0c - General code cleanup and coverity fixes - mostly fixes
    uninitialized members
  *  1a10b787f - Fix typo introduced in e9f3c22
  *  2d6418e62 - OptionsWidget: Fix auto enabling/disabling of smart
    nickname color same text selector
  *  e9f3c2248 - notifier module: general code cleanup

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 02 Nov 2017 08:02:14 +0300

kvirc (4:4.9.2~git-7206-g4bbda1e58-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 4bbda1e58fb3418187bd3170e3bb49f498108744
  * Date: 1506968696
  * git changelog:
  *  4bbda1e58 - Make the issue/PR templates much simpler. (#2301)
  *  b3dfeb912 - bug in example of manual (#2315)
  *  150eeeab9 - Another typo in the manual (#2312)
  *  cc931168a - IPC: Fix unsigned issue in for loop
  *  0f6968307 - Fix typo in manual & bug in alias (#2311)
  *  463c4c3d0 - sound: Fix jumping
  *  b1c726c73 - IPC: Fix casting with XQueryTree
  *  abf6b42d4 - Minor cleanups
  *  ada6c8f57 - gettimeofday(): Remove timezone argument
  *  f8b44d565 - ChannelWindow: Match return type of maskCount()
  *  620840a12 - ServerInfo: Add missing usermodes for unreal4
  *  58557a06e - gitignore: Ignore vscode

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 Oct 2017 19:09:17 +0300

kvirc (4:4.9.2~git-7194-g9322d59cd-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 9322d59cd43e8e5d1da878747860e8daf04d4e30
  * Date: 1506019088
  * git changelog:
  *  9322d59cd - Cmake updates
  *  100f7dad5 - Fix invalid IP integer for DCC RSEND request (#2252)
  *  ebd8fd302 - small typo (#2305)
  *  6fbd3ca40 - Work around the 'disappearing console' problem. Setting
    a style sheet on QComboBox has always been problematic.
  *  5db1c7a8e - test: remove hack cmake_policy(SET CMP0026 OLD) this
    breaks appveyor builds (#2304)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 22 Sep 2017 07:19:18 +0300

kvirc (4:4.9.2~git-7189-ge7e2f4048-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: e7e2f4048920ca2da10ccb5c1b00781fcd895d39
  * Date: 1504652637
  * git changelog:
  *  e7e2f4048 - Revert "Escape things in the class editor. Fixes #2211.
    (#2243)"
  *  3021bb31b - OptionsWidget_message: fix label text "Use specified
    smart colors for own nick:"
  *  208d97992 - OptionsWidget_message: fix enabling/disabling of
    selector.
  *  5f0e41272 - Improve the script tester a little bit (#2282)
  *  20efc5d86 - KviKvsPopupMenu: Code cleanup
  *  9c3295d27 - style.css: remove the Dreaded Dark Slate Gray Colour
    from Hell
  *  f6dcefbc4 - PackAddonDialog: Show the output path when an addon is
    exported.
  *  15b40fdd5 - Add an option to allow the use of smart nickname
    colours with no background (#2284)
  *  692d10d9d - KviTreeWindowList: Fix the broken background color if a
    stylesheet has been loaded.
  *  144981f2b - Don't crash on reguser.add if the provided mask is
    already assigned to other user.
  *  f5e68adfb - Overriding this misspelling
  *  921d7ecbc - Show if the current theme has been overriden with a
    stylesheet
  *  b007b25bd - KviRuntimeInfo: Fix the Qt theme detection
  *  9defac5f5 - Fix wrapping of <pre> in the docs.
  *  ab3a530f1 - Allow the user to bypass the default stylesheet.
  *  ed718b00f - Clean up properly after the search field in the
    settings dialog is emptied.
  *  d09814dd9 - Handle ftpes:// links too.
  *  0315e6cfe - Make the "window list type" selector a combobox instead
    of a checkbox.
  *  b9e966095 - Fix the global stylesheet not being copied when
    installing.
  *  e4ef82fcf - Add OwnAction, OwnActionCrypted and TopicCrypted
    message types.
  *  571e2adba - misc doc fixes
  *  06e936af2 - Fix black on black when using mirc reverse in the topic
    widget.
  *  61cc3ebb9 - Add "search as you type" functionality to the settings
    dialogs.
  *  53d76db32 - Make the current mouse position the origin of the
    tooltips of the user list.
  *  931641f50 - Switch the order of creation of debug and release
    builds
  *  5ce339050 - Use https for sourceforge
  *  fd7f8989d - Raise the main window when an irc link is opened from a
    browser. (#2279)
  *  5d1b8667f - Make the default ftp client open sftp:// and ftps://
    links.
  *  c3dc09c62 - Add ucrtbased.dll to the release directory for Windows
    debug builds. Closes #2227
  *  f395f4216 - Remove EventEditorWindow.setCurrentHandlerEnabled.
    (#2275)
  *  8ddb763c9 - defscript popups: improvements and fixes (#2241)
  *  1d63565bc - Update the user's username and host as soon as he sends
    us something.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 07 Sep 2017 19:16:45 +0300

kvirc (4:4.9.2~git-7157-g82f44408f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 82f44408f63075903c6fd9ff1fb4765caf840d47
  * Date: 1503797051
  * git changelog:
  *  82f44408f - Add a checkbox in the event editor to enable or disable
    event handlers.
  *  a8c8e0bd6 - Allow code examples in docs to wrap
  *  47c6af326 - Enable appveyor's fast_fail strategy (#2272)
  *  32c9b9ce8 - Fix for #1749
  *  355dcfcce - When "/server -s" is used, default to port 6697.
  *  9433e78da - Fix the second parameter of $context.getSSLCertInfo not
    being optional
  *  5d20afae2 - remove blank part of the splash img
  *  cd3bf0ef5 - [KviKvsEventTable] parameters naming fix between docs <-
    > displayed entries (#2265)
  *  bff6c4d1d - Remove lots of redundant line feeds around block
    elements in the docs.
  *  9293b1410 - Fix the text of all links in the documentation being
    lowercase.
  *  95cf7934a - Add missing include on some versions of Qt
  *  e05d3393d - Make our docs work better with the QTextBrowser.
  *  2e57fc1dd - error in spanish translation (#2268)
  *  457ae5b36 - [KviKvsEventTable]  Capitalize some remaining
    parameters (#2264)
  *  e51fe37e7 - disabled handler: match color style to kvirc (#2261)
  *  b54b2127c - Update KviIrcServerParser_numericHandlers.cpp (#2260)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 27 Aug 2017 11:25:53 +0300

kvirc (4:4.9.2~git-7141-gcd585fa-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: cd585fa3149dc414604af59e38f550cabeacc944
  * Date: 1502372442
  * git changelog:
  *  cd585fa - Fix #2087
  *  e467c53 - Fix manual typos (#2259)
  *  3ea9f85 - KviIrcView: Fix double-click for channels with formatting
    in the text
  *  1a22896 - Improve RPL_CHANURL handling. Resolves #2255. (#2256)
  *  96520ce - Small typo. (#2257)
  *  2b85a4c - PPA: add Ubuntu Zesty & Artful
  *  aa9a7c7 - Appveyor: Fix OpenSSL download link for Windows
  *  4b274d0 - Update README.md (#2254)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 11 Aug 2017 21:02:23 +0300

kvirc (4:4.9.2~git-7133-g549d6f1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 549d6f1a78a66ad3ee31a5d957e26fb06b03f95c
  * Date: 1501403806
  * git changelog:
  *  549d6f1 - Escape things in the class editor. Fixes #2211. (#2243)
  *  4d9c017 - Update INSTALL.txt (#2244)
  *  3869426 - fix for #2249
  *  1d0200e - Fix CAP command checking case sensitivity.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 30 Jul 2017 19:29:35 +0300

kvirc (4:4.9.2~git-7129-g64f0509-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 64f05096b11eff7a0263e92d17fa353823bf8e71
  * Date: 1499582706
  * git changelog:
  *  64f0509 - Fix creating an empty alias which doesn't do what you
    want when using generateUninstallAlias
  *  2e1417e - defscript: add global to option controller titles
  *  b666258 - AppVeyor: Deployment server has been removed for Windows
    builds

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 14 Jul 2017 08:27:06 +0300

kvirc (4:4.9.2~git-7126-g7d544e7-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 7d544e7f9d80a150959a924b6fb8ff0e4f59ca23
  * Date: 1498813397
  * git changelog:
  *  7d544e7 - Fix link in CONTRIBUTING.md
  *  dc7fbd4 - ran "pngcrush -ow -rem allb -reduce"
  *  d3d9de8 - make nsis check for windows 7
  *  5e74293 - qt 5.7+ dropped vista support, so raise default target to
    7
  *  9f94125 - Fix centering of servers dialog in parent KviMainWindow
  *  3378ac4 - Add menu-scrollable to the main Window menu
  *  a2bec2f - Add channel modes d and Y for InspIRCd
  *  af111d3 - Fix Log Viewer search returning no hits after repeated
    searches
  *  6d68da0 - KviIrcConnectionServerInfo: Add 2 missing InspIRCd
    chanmodes (#2231)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 30 Jun 2017 12:33:22 +0300

kvirc (4:4.9.2~git-7117-ge60a551-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: e60a551559f400c47e82fb0c1c4e7606c20cc7b7
  * Date: 1497299937
  * git changelog:
  *  e60a551 - Replace travis_after_all with travis stages
  *  d74941f - Fix KVIrc mode links containing KVS special characters.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 16 Jun 2017 08:35:52 +0300

kvirc (4:4.9.2~git-7115-g2c89201-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 2c89201e37740afd562333117f00ca53fe871fe3
  * Date: 1496319570
  * git changelog:
  *  2c89201 - regenerate perl stuff from 5.26.0 - xs.inc using
    ExtUtils::ParseXS 3.34 (compile warning fix) - ppport.h from
    Devel::PPPort 3.36 (content unchanged, only relevant for people
    using the default DEFAULT_INC_EXCLUDES_DOT value building this file)
  *  775c885 - Merge branch 'master' of github.com:kvirc/KVIrc
  *  6772507 - amend 0dbf448ab659b1967eb795f990735461b2c19fea remove a
    line which is already handled in the if block before it
  *  358cd58 - Ignore Visual Studio folders (#2225)
  *  0dbf448 - [AV] update openssl, (hopefully short-term) hack for
    handling msvc 12 dependency of it. remove xml from windeployqt as
    its correctly detected now, use debug zlib on debug builds also
    revert an erroneously committed change to the targeted windows
    version in CMakeLists.txt (though it appeared to be still working, i
    want to be sure)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 02 Jun 2017 08:10:05 +0300

kvirc (4:4.9.2~git-7110-g88ef901-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 88ef901cfae4e2ec739107566609334f70e93230
  * Date: 1495842060
  * git changelog:
  *  88ef901 - Check modules for Qt dependencies when deploying
  *  ae97a8f - unbreak my last commit, don't cache perl and choco dirs,
    too big
  *  90e1ffe - push and pull po{t}s, typo fixes
  *  8b81b07 - Make Windows code Unicode-aware (#2219)
  *  f5d172c - Build also in debug mode for windows (#2192)
  *  c947b1e - appveyor: fix zlib VS version
  *  5b14c71 - appveyor: Update MSVC to 2015 and Qt to 5.8.0
  *  48fd3bc - Remove \r chop when pasting last log

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 28 May 2017 14:46:32 +0300

kvirc (4:4.9.2~git-7102-gdb664a3-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: db664a32e09d0e4c20ce01adae19b10336626e7a
  * Date: 1491038566
  * git changelog:
  *  db664a3 - Remove noexcept from 42aee8a commit
  *  42aee8a - window module: Finish window.setBackground

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 08 Apr 2017 13:00:07 +0300

kvirc (4:4.9.2~git-7100-g48a2865-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 48a2865c6d050d226537d9926bbdb9049eea8fa0
  * Date: 1490035591
  * git changelog:
  *  48a2865 - fix: hide comments in issues in new posts (#2213)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 24 Mar 2017 18:10:36 +0300

kvirc (4:4.9.2~git-7099-gca80ee6-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: ca80ee628f491594878c6762a62f38fac3ed4f8c
  * Date: 1489328960
  * git changelog:
  *  ca80ee6 - Event OnQuit: Change example to a working example.
  *  85761b2 - snd module: Fix file descriptor check
  *  111cb9c - logview module: Fix memory leak in logview export
  *  2d5fd9d - rijndael module: Fix potential memory leak and invalid
    length check
  *  04a4b61 - RegisteredUsersDialog: Fix memory leak in exportClicked
  *  16b2892 - serverdb module: Fix memory leak in addserver command
  *  2481f81 - KviKvsObject: Fix return type for font property and
    indirectly fix memory leak.
  *  24f54e0 - KviInputEditor: Fix out-of-bounds access in mirc color
    lookup
  *  fcdf169 - KviKvsParser: Fix potential memory leak
  *  a88762e - Fix potential memory leak.
  *  1fb80a8 - rijndael module: Fix incorrect size check
  *  638ef78 - module window: Fix memory leak in crypt engine
    initializer.
  *  a347dea - Fix various memory leaks in usages of static
    KviKvsScript::run
  *  2e602d0 - add only a direct shortcut to kvirc in the windows start
    menu (#2207)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 17 Mar 2017 13:38:19 +0300

kvirc (4:4.9.2~git-7085-gaea2bb2-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: aea2bb27ea3c98a73319cb9fb3a53d7431bb8667
  * Date: 1488553137
  * git changelog:
  *  aea2bb2 - fix a few oddities in the help browser
  *  1c936ae - misc doc fixes
  *  4dd690f - switch to the correct window even if it's open already
  *  2d70f91 - KviWindowListBase: Add ability to close classic window
    list buttons with middle-click.
  *  dd5ea64 - [AV] fix hunspell installation after update to 1.6
  *  7ffd04f - RawEventWindow: Fix crash when saving raw events
  *  684e730 - Add wii default alias
  *  d6f325d - notifier module: Make message text selectable.
  *  d6c66fa - KviCryptEngine: Fix typo
  *  8237da1 - Revert "KviHtmlGenerator: Fix default foreground and
    background colors"
  *  fdb997d - KviHtmlGenerator: Fix default foreground and background
    colors
  *  77c1f05 - Miscellaneous documentation fixes
  *  1dc42d6 - Disable old broken OnURLLinkPopupRequest when restoring
    default script; fix #2140 (#2183)
  *  fb6ec13 - make the repaint timers of kviircview and kviinputeditor
    faster when selecting text to decrease lag
  *  d4d29a8 - reguser module: Fix crash in reguser.add when user exists
    and group is set
  *  8e5483a - rename IRC-Hispano default network

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 03 Mar 2017 18:50:26 +0300

kvirc (4:4.9.2~git-7069-g91a0315-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 91a0315a97bea3019d8430cb88f9322aa292241c
  * Date: 1487362259
  * git changelog:
  *  91a0315 - ran optipng -o9 on all png files
  *  5629fcc - make the icon for disabled handlers red
  *  256ee1f - fix #1105
  *  6646dcc - KviProxy: Make class member data private
  *  1590ab1 - fix build with qt 5.8 on windows
  *  6142799 - Make the MS VC++ redist installer run silently, it's just
    an unnecessary popup.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 19 Feb 2017 11:19:04 +0300

kvirc (4:4.9.2~git-7063-g9e8a9d9-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 9e8a9d9e0d38993e145dddab64b42114efc4d3f6
  * Date: 1486229098
  * git changelog:
  *  9e8a9d9 - str module fixes/cleanup
  *  ca157d4 - make channel list dialogs more consistent; fix #1790
  *  c018b8c - [AV] strawberry perl on choco should now have a checksum,
    update dicts
  *  30ee141 - SharedFilesWindow: Remove unused variables and some code
    cleanup
  *  0b0edac - KviKvsParser: Remove logically dead code
  *  553444a - KviSignalHandler: Be explicit when ignoring return values
    of certain functions
  *  a497da7 - KviInputEditor: Fix error in usage of
    QString::lastIndexOf in commit ebdcedc
  *  ebdcedc - KviInputEditor: General code cleanup and simplification
  *  b21d504 - KviIrcConnection: Fixes potential memory leak
  *  205eef2 - Encryption: A fix and some code cleanup
  *  bfb9194 - Fixes unintentional hiding of local variable in nested
    scope
  *  d93ae16 - Fix #2077

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 04 Feb 2017 20:56:40 +0300

kvirc (4:4.9.2~git-7051-gee01c76-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: ee01c76211f464647fdeaea72f1c3c1160a83d1e
  * Date: 1484954749
  * git changelog:
  *  ee01c76 - KviInputEditor: Fix right-click select all not selecting
    the last character
  *  88980ba - Fixed #2174 by Kartagis: Fix INSTALL-Macos.txt
  *  c1f3db3 - fixes #2173 - allow strawberry perl to install with no
    checksum (at least until 5.24 is approved) - update LO.org link for
    ru dict - update english dicts to version 2016.11.20
  *  81efdf0 - KviCString: Fix bug in hexToBuffer
  *  3ca863a - OS X is dead, long live macOS
  *  2ef90a1 - Fix typo of incorrect operator usage
  *  b55570d - Close now always closes despite boolKeepChannelOpenOnPart
    setting

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 22 Jan 2017 12:22:48 +0300

kvirc (4:4.9.2~git-7044-ga70718f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: a70718fddd1eb74869e6589db085309a337053c0
  * Date: 1483271438
  * git changelog:
  *  a70718f - libkvichan: Fix typo in documentation
  *  907dca6 - KviIrcSocket: Use a unique pointer for the timer
  * DCMAKE_BUILD_TYPE=Debug

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 01 Jan 2017 15:21:32 +0300

kvirc (4:4.9.2~git-7042-g90a846a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 90a846ad2ef4e5b4163e81f6d507e80422f1b6de
  * Date: 1481581818
  * git changelog:
  *  90a846a - Add compatibilty to fish10 and mircryption keyx cbc mode.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 24 Dec 2016 10:50:59 +0300

kvirc (4:4.9.2~git-7041-gd300312-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: d30031234136d158e896b9302d4e4cd366b7a3a1
  * Date: 1481204268
  * git changelog:
  *  d300312 - Travis: workaround for travis-ci/travis-ci#6307
  *  5e49ce1 - optionctlr: Remove hardcoded fixed pixel size and
    restrict resize
  *  fe649bb - HelpIndex: Code cleanup
  *  a59dbc1 - HelpIndex: Change deprecated QtAlgorithms qSort to
    std::sort
  *  71d2418 - amend bc81991c477ec6f8b53474bd73d5444fc2552d3c
  *  fd20b1a - Remove usage of deprecated QStyle* typedefs
  *  8552b2b - fix build on mingw
  *  9a2cb9a - KvsObject_widget: Add additional size functions
  *  d742cce - KviIrcView: Fix oversized minimum paint width when
    boolIrcViewWrapMargin is off
  *  2a5e49b - KviInputEditor: Auto-scroll text when characters are
    deleted to minimize trailing whitespace
  *  d392253 - KviOggTheoraEncoder: Fix incorrect forward declaration of
    QRgb
  *  bc81991 - push pots to tx, pull pos from tx
  *  dc2d879 - fix sentence capitalization

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 09 Dec 2016 21:31:02 +0300

kvirc (4:4.9.2~git-7028-g392d211-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 392d211772f210b4e691a39e4b37e237ecb13cc8
  * Date: 1479682563
  * git changelog:
  *  392d211 - Fix typo in b556221 in warning messages
  *  b556221 - Add split view commands window.splitView and
    window.unsplitView, as well as function $window.isSplitView
  *  c8bcb86 - normalize File: , Size:  and Mime: formatting
  *  e1af6ee - Fix quirk in a5932bf on some compilers
  *  a5932bf - Default DCC Send console confirmation links to use
    stringUrlFileCommand instead of hardcoded play command
  *  fa9a5d3 - Fix issue with parsing two strings for Poedit
  *  3982a2e - Fix unnecessary escaping of % in strings.
  *  17df6ef - KviIpEditor: Add IPv4 input validator and a basic IPv6
    input validator
  *  c8b3294 - OptionsWidget: Fix checking of IPv6 address instead of
    IPv4 where needed
  *  6bfafe7 - KviIpEditor: Fix issue where older Qt5 apparently doesn't
    have QHostAddress::toIPv4Address(bool*)
  *  6050180 - KviIpEditor: Change to a QLineEdit and update code.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 25 Nov 2016 20:29:39 +0300

kvirc (4:4.9.2~git-7017-g48dacdb-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 48dacdbf2e6ccf885d1069bb4b3ef78d18d93671
  * Date: 1478756999
  * git changelog:
  *  48dacdb - Input History: Added skipping of input lines if
    consecutive lines are the same
  *  f288f36 - KviKvsEventManager: Fix memory leak in addRawHandler
  *  fdf491a - KvsObject_painter: Fix potential memory leak in class
    function pen
  *  651b298 - KvsObject_pixmap: Fix potential memory leak in class
    function pixel
  *  5e13532 - KviCustomToolBar: Fix memory leak in
    KviCustomToolBar::filterChild
  *  9c6f897 - libkviurl: Fix memory leak in void BanFrame::addBan()
  *  1f32e67 - libkvireguser: Fix memory leak in $reguser.mask
  *  db350d6 - FileTransferWindow: Add MIME data to right click menu for
    non-KDE
  *  c4b96d4 - KviTopicWidget: Move existing recent topics to the end of
    the list
  *  b9af7a0 - KviKvsCoreFunctions: Code cleanup
  *  2f5e107 - KviBuildInfo: Update code

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 12 Nov 2016 19:36:26 +0300

kvirc (4:4.9.2~git-7006-g96ca5fb-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 96ca5fbe4e047d59e4bcc28d012bfe92e3a2d228
  * Date: 1477689869
  * git changelog:
  *  96ca5fb - Cleanup included files
  *  232b0d8 - update po{t}s and pos, specify package name and version
    in po{t}s
  *  1ef3cc7 - Improved german translation
  *  7b5bce7 - Updated german .po files and saved them with poedit as
    preparation for further work on the translation
  *  0b12787 - pull translation updates from TX (except de_DE)
  *  e54c217 - ppa: add ubuntu 16.10 (Yakkety)
  *  8f78ea2 - lit handler: Only send CHGHOST to common channels

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 29 Oct 2016 10:42:02 +0300

kvirc (4:4.9.2~git-6999-gbc0aa5b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: bc0aa5b07c31d6d95fb184a06cea328141d0bc69
  * Date: 1475595177
  * git changelog:
  *  bc0aa5b - followup to 657a5c4 it turns out that my editor thought
    the remaining files were already UTF-16 LE where they in fact were
    not.
  *  657a5c4 - convert to UTF-16 LE as the others
  *  20d6588 - Fix Unicode builds, Unicode true|false
  *  3008162 - it looks like we need more version variables to keep dumb
    mistakes from happening
  *  9a40bfa - build unicode aware installers, that would have even
    worked on xp but was somewhat forgotten back in the day
  *  16edb89 - quote strings with variables in it maybe? its not that
    hard, really.
  *  280cf5c - fix expression for version check
  *  52ec12b - invert openssl condition on AV again and make it check
    for the file version, update dicts
  *  8c0587d - bump openssl 1.0.2j (#2148)
  *  298ddea - deafult.kvc: bump events and popups versions
  *  1d336d6 - popups: move user control prologue and options to own
    popup

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 14 Oct 2016 21:41:36 +0300

kvirc (4:4.9.2~git-6988-g3fd89db-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 3fd89db46d8296239e7849264f69b57d806e8721
  * Date: 1474839266
  * git changelog:
  *  3fd89db - KviSelectors: Allow for alternate locale numbers in a
    KviUIntSelector
  *  fce5580 - Remove extra space
  *  750388a - KviIrcServerParser: Fixes issues with WHOIS/WHOWAS
    numerics
  *  ed56eb2 - KviQueryWindow: Fixes label height issue when users
    aren't in the user database

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 30 Sep 2016 21:15:42 +0300

kvirc (4:4.9.2~git-6984-gf8f50bd-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: f8f50bd6a787fdae7ce03cc36f97068399700d66
  * Date: 1474062401
  * git changelog:
  *  f8f50bd - Don't use space in default event handler.
  *  f4c8791 - KviPixmap: Code cleanup
  *  21e4e74 - oops! slipped into comma
  *  1721d0e - kvioptions: reuse unused before adding new entries
  *  379f9b8 - Add option to ignore special characters in nick
    completion.
  *  eba8776 - workaround: fix NOTICE/PRIVMSG &szTarget link
  *  afb8269 - KviMain: Fix [ircurl] description to include SSL flag
  *  86ac8eb - Add SSL socket support to I/O Graph traffic tracking
  *  c5b2de3 - themes: fix msgtypeActionCrypted icon assignment after
    #2139
  *  b648a2d - Blowfish: Remove unnecessary dynamic allocation and
    clarify implecations of key length option choice to users.
  *  8182570 - Crypt: Add code for ActionCrypted icon
  *  31e81ba - add crypto icons
  *  5f7f38c - KviIrcServerParser: avoid implicit conversion confusion
  *  415c439 - Theme: Added msgtypeActionCrypted to default themes
  *  09aa1d4 - OnAction: Add a 'Was encrypted' parameter
  *  2560ef6 - Crypt: Add support for CTCP ACTION encryption
  *  765fead - Crypt: Add support for CTCP ACTION decryption
  *  4d1ddd4 - KviIrcServerParser: General code cleanup
  *  b3ac85d - Make the /ctcp ACTION command use KviWindow::ownAction
    when available
  *  c8a2f6f - KviInputEditor cleanup (#2129)
  *  a703bff - Fix segfault when trying to find an invalid window id
    (#2133)
  *  b7ee225 - readme: update download link
  *  292c718 - Fixes keyboard shortcuts in split view IRC channel. Fixes
    #1319 (#2132)
  *  49deb06 - Fix using multiple keys in one join command with alias j
    (#2130)
  *  88294f0 - Add Vim swap files to the .gitignore

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 17 Sep 2016 13:49:55 +0300

kvirc (4:4.9.2~git-6959-g9c4462c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 9c4462c0c95252e9969051ce9932628851459378
  * Date: 1472656103
  * git changelog:
  *  9c4462c - Fix local variable shadowing. Fixes #2126.
  *  901914e - KviIrcConnectionServerInfo: avoid Camel Case in labels
  *  66d150d - Add missing channel mode descriptions for Criten IRCD.
    (#2124)
  *  cc31145 - CMakelists / buildinfo: report GTK status  (#2123)
  *  ef82a95 - INSTALL: update  -DWANT_GTKSTYLE entry (#2118)
  *  36abb4f - KviMainWindow: Modernize control loop (#2116)
  *  69006e1 - Use the correct target for channels in ctcp action
    messages. (#2121)
  *  33fcef2 - Clean-up the KviStatusBarClock formatting (#2120)
  *  753a415 - fix incorrect time indicator
  *  755ea16 - kill some more xp support and bump Devel::PPPort - remove
    specification of subsystem, now that we dropped XP - update nsis to
    force Vista+ - get maketool from cmake var, no conditional needed
    anymore - bump Devel::PPPort to 3.35 (no code change)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 01 Sep 2016 19:34:47 +0300

kvirc (4:4.9.2~git-6949-g0f298f6-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/kvirc/KVIrc.git
  * Branch: master
  * Commit: 0f298f642250a57dc7d227a48241af4007ad6462
  * Date: 1471637593
  * git changelog:
  *  0f298f6 - CodeTesterWindow: Use unordered_set
  *  f5a9aa8 - general: Cleanup
  *  3128cd1 - version.h.cmake: Bump copyright year
  *  cba71b0 - RuntimeInfo: Use #elif instead
  *  9930117 - KviInputEditor: Remove Qt >= 5 check
  *  0f6ff4d - IpcSentinel: Cleanup a bit
  *  b79e1f0 - Goodbye XP, my old friend
  *  66bf05d - OptionsWidget_dcc: add full stop at sentence end.
  *  4685acd - fix broken tooltip section bg width.
  *  463093d - OptionsWidget_ircOutput: fix show own part message label
  *  4580f74 - OptionsWidget_ircOutput: remove unused code
  *  0315c35 - KviQueryWindow: Fix HTML and string concatenation with
    macro
  *  bb37fd8 - HttpFileTransfer: no need to  use abreviattions
  *  44a6a62 - DccFileTransfer: no need to  use abreviations
  *  0aa874f - KviIrcDataStreamMonitor: Fix #2110
  *  a2cd9c1 - KvsObjectLayout: Use correct macro
  *  65f77c7 - PopupEditor: Fix unintentional item reassignmnet
  *  a72144b - KviIrcView: Move to vector
  *  71949f9 - popups: fix oopsie warning not joined to server
  *  a1f3053 - popups: add jconditional oin channel  for joining  dead
    channels
  *  bda37ab - fix empty tooltip  glitch when not connected to a server.
  *  921bcb6 - ScriptEditor: Remove include
  *  8d214dc - PopupEditor: Maybe fix #2012
  *  7c4e1d7 - ScriptEditor: Refactor a bit
  *  7c27ccc - Add /away -d for GUI actions to override the
    boolUseAwayMessage option. Fixes #2101 and fixes #2102. (#2104)
  *  6e4811f - default script configuration: bump aliases after 0cbfbf3
  *  0cbfbf3 - defscript/aliases: Add backall
  *  b1c0c47 - KviWindow: Fix build
  *  944f71b - OptionsAwayWidget: Remove pointless destructor
  *  4a74562 - KviWindow: Real fix for #2103
  *  8878574 - KviWindow: Skip over blank lines when replaying logs
  *  5f84c46 - bkvitrayicon: Move srand to module init
  *  ca1ebd0 - bkvitrayicon: Remove pointless cast
  *  e330653 - libkvitrayicon: Use C++ headers instead
  *  de0593a - KviIrcConnection: Topple the leaning tower of if
    statements
  *  fd2a3b3 - Clean up KviActionDrawer
  *  0ef3b63 - Clean up libkvitrayicon
  *  c58673e - Remove unused m_oStoredWindowStates
  *  1dd0c55 - numericHandlers: Fix off-by-one in parseNumericStats
  *  9443391 - KviWindow: QVector -> std::vector
  *  81510bf - KviTrayIcon: Get rid of the die() method
  *  522aa3a - KviWindow: Remove if checks on delete
  *  3f66935 - debian_build: set "DCMAKE_BUILD_TYPE = Debug"
  *  066e0df - debian_build: debian\rules fix
  *  3e09b7e - debian_build: fix
  *  fd750f3 - debian_build: add debug PPA
  *  05c7d2e - KviBuildInfo: Add build types
  *  e988cda - OptionsWidget_proxy: Change the ordering when committing
  *  a358e2e - libkviwindow: Properly enumerate
  *  3aa10e0 - KviMainWindow: Enumerate through module extension
    toolbars properly
  *  03f6e06 - KviIrcContext: More pointless checks
  *  a23a777 - KviIrcContext: Remove redundant checks when deleting
  *  4bf5e90 - KviIrcContext: Properly enumerate the vector while
    iterating
  *  9b4b2ed - KviIrcContext: Properly enumerate the vector when
    deleting
  *  985b5ee - KviWindow: 0 => nullptr
  *  74ea254 - KviConsoleWindow: Remove pointless ifdef guard and
    assignment
  *  e37f31d - KvsEventTable: Update descriptions for OnNickServAuth
  *  e8024a8 - KVS: Add event handler for CAP
  *  46b9539 - KviInputEditor: Trailing tab
  *  664ecb2 - KviInputEditor: Fix HTML
  *  1e67662 - SimpleCommands: Add wrapper for operwall
  *  32dc4fb - SimpleCommands: Add wrapper for wallops
  *  3ef14d7 - SimpleCommands/whois: Fix segfault
  *  3e10cef - SimpleCommands/whowas: Fix segfault
  *  6189586 - COPYING: cleanup + update and clarify
  *  a628679 - refresh GPLv2 lic
  *  19b367a - remove gplv3, there was never a full transition to gplv3
  *  5263040 - IpcSentinel: Simplify
  *  9c9098a - IPCSentinel: Fix launching on windows twice on irc url
    click
  *  39a7144 - KviIrcView_events: Trailing tab
  *  4efbe5f - EventManager: Add overload method to prevent crash
  *  174ea92 - KviFileTransfer: Fix freeze when killing terminated
    transfers
  *  66de677 - void range-for loops when things are being destroyed
  *  68b8b84 - DccChatWindow: Fix possible issue in tryFlushOutBuffers()
  *  d4a540c - TermWidget: Fix typo
  *  2a497c6 - Fixes Issue #2088 (#2091)
  *  642ec84 - Add forgotten calls to clear()
  *  b9a7c7f - Remove KviParameterList
  *  71dff65 - DccChatWindow: Move to deque and unique pointers
  *  f152371 - proxywidget: More cleanup
  *  119ba5b - Links: Refactor links window and links widget
  *  7384474 - SocketSpy: Move to unordered_set
  *  51b86a6 - KviKvsAsyncOperation: Move to unordered_set
  *  d02b835 - libkviterm: Move to unordered_set
  *  3dbb13f - serverwidget: Remove un-needed if checks
  *  dc5052f - KviIrcConnectionAsyncData: Move to unordered_set
  *  e3a1ae6 - KviProxyDatabase: Fix MSVC bug
  *  a0c4c0f - KviIrcServerReconnectInfo: Refactor
  *  2ceba3c - KviProxyDatabase: Move to vector and unique pointers
  *  5e0a295 - KviIrcConnectionAsyncData: Move to std::set
  *  39eaeda - KviKvsAsyncDnsOperation: Remove un-needed if check
  *  dcd83d5 - KviFileTransfer: Kill filetransfers from back to front
  *  7fa727e - Fix string concatenation with macro in KviInputEditor
    (#2094)
  *  c789459 - remove unused variables
  *  fa1160e - Textbrowser : fix loading HTML files on Windows

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 19 Aug 2016 23:44:50 +0300

kvirc (4:4.9.2~git-6854-g71bdfcc-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 71bdfccc4bd2a4c102ffc99392c004670c68e52d
  * Date: 1470496110

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 07 Aug 2016 11:35:17 +0300

kvirc (4:4.9.2~git-6834-gedec5dc-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: edec5dc218b9f308c354e204bd6dbe6e822f5f99
  * Date: 1470138838

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 02 Aug 2016 17:44:04 +0300

kvirc (4:4.9.2~git-6812-gc3471bb-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: c3471bb6e8360fcb92be7e4e22b010b63d21909b
  * Date: 1469092054

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 23 Jul 2016 13:50:54 +0300

kvirc (4:4.9.2~git-6789-g5ca5d90-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 5ca5d90461ea4fac326f972cfd11ebaca8f1b75c
  * Date: 1468055468

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 09 Jul 2016 12:37:27 +0300

kvirc (4:4.9.2~git-6754-ga02363c-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: a02363c9e7ad27e167f3fb879da11d09efc87dbe
  * Date: 1466849933

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 25 Jun 2016 21:36:03 +0300

kvirc (4:4.9.2~git-6720-gfe182d9-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: fe182d96184503dd15e76751c3d6db49e53b53ae
  * Date: 1465585920

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 11 Jun 2016 09:23:58 +0300

kvirc (4:4.9.2~git-6682-gdd4c5b9-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: dd4c5b9650acf0e4967397893404024cb4908a23
  * Date: 1464268929

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 27 May 2016 22:02:23 +0300

kvirc (4:4.9.2~git-6634-g8a99f27-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 8a99f274ae252d271d5b1bd5c1e82a431b215d6f
  * Date: 1463291467

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 15 May 2016 11:00:24 +0300

kvirc (4:4.9.2~git-6544-gfa33e18-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: fa33e18f09919ff1da09b7df45eb6c4dfaed4be0
  * Date: 1461879241

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 29 Apr 2016 21:59:56 +0300

kvirc (4:4.9.2~git-6399-gcd31197-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: cd311971b591300ec57a5c9b039b4ccff8756d11
  * Date: 1460736343

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 15 Apr 2016 23:03:50 +0300

kvirc (4:4.9.2~git-6345-ga559c50-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: a559c50d8ff1ba2c265d22cb45ce0b79b26584d9
  * Date: 1459521663

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 02 Apr 2016 09:58:23 +0300

kvirc (4:4.9.2~git-6302-g9afe3c5-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 9afe3c552e2d4070dbda903560816b2426e2536c
  * Date: 1458225101

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 19 Mar 2016 10:00:35 +0300

kvirc (4:4.9.1~git-6266-g369db0b-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 369db0bbaf65759097a5d74eadebb6d3c4c8af0c
  * Date: 1457037929

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 04 Mar 2016 16:48:26 +0300

kvirc (4:4.9.1~git-6225-g9f00338-2) unstable; urgency=medium

  * lintian fix

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 25 Feb 2016 21:42:13 +0300

kvirc (4:4.9.1~git-6225-g9f00338-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 9f0033855d58260138cb8c9a96770d0c478b71b2
  * Date: 1455610730

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 19 Feb 2016 21:23:39 +0300

kvirc (4:4.9.1~git-6218-gd186462-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: d186462e594120f186dcae6b9fac125c05d938d8
  * Date: 1454689308

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 05 Feb 2016 22:24:51 +0300

kvirc (4:4.9.1~git-6154-gd3b9a60-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: d3b9a60d056ecbac54f9466d1a8ab27d22bbd86d
  * Date: 1453039770

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 22 Jan 2016 21:46:10 +0300

kvirc (4:4.3.2~git-5905-ge853130-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: e8531302ea3d954881a7f4ba29489d59b5427e86
  * Date: 1451066290

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 25 Dec 2015 22:10:03 +0300

kvirc (4:4.3.2~git-5805-g9ea6c59-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 9ea6c5972b8f22f7783bd0dcfa643271b3b23c03
  * Date: 1449903390

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 12 Dec 2015 10:26:46 +0300

kvirc (4:4.3.2~git-5735-g9c723a2-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 9c723a29481bb921f50cf17f7f97a6d262fa5afc
  * Date: 1448638652

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 27 Nov 2015 21:22:55 +0300

kvirc (4:4.3.2~git-5714-g49aeb3e-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 49aeb3ee96c35a430c3845b12549ea6fe7fc52ee
  * Date: 1447469290

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 14 Nov 2015 14:25:59 +0300

kvirc (4:4.3.2~git-5611-g3825cfe-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 3825cfed53dede982f7f47e1c592ca3b883f1cf9
  * Date: 1446057220

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 30 Oct 2015 23:17:03 +0300

kvirc (4:4.3.2~git-5536-g312cc74-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 312cc742c7b19dd43dec5d1e92ad56d9a12e5089
  * Date: 1445022966

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 17 Oct 2015 12:38:24 +0300

kvirc (4:4.3.2~git-5462-gada0c9c-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: ada0c9c17e98695540606780866a51fbfda7e060
  * Date: 1443825571

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 03 Oct 2015 16:41:41 +0300

kvirc (4:4.3.2~git-5389-g9f0acd5-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 9f0acd564e91c798c6279cff896c338dc6eb0856
  * Date: 1442574452

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 19 Sep 2015 14:00:10 +0300

kvirc (4:4.0.0~svn3759-2) unstable; urgency=low

  * Update rules.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 14 Jan 2010 22:16:05 +0300

kvirc (4:4.0.0~svn3759-1) unstable; urgency=low

  * Izmenena versiya na 4:4.0.0

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 27 Dec 2009 21:50:36 +0300

kvirc (4.0.0~svn3759-1) unstable; urgency=low

  * Initial release (Closes: #123456)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 27 Dec 2009 19:45:56 +0300
